aboutsummaryrefslogtreecommitdiffstats
path: root/resources/libraries/bash
diff options
context:
space:
mode:
Diffstat (limited to 'resources/libraries/bash')
-rw-r--r--resources/libraries/bash/function/common.sh13
1 files changed, 9 insertions, 4 deletions
diff --git a/resources/libraries/bash/function/common.sh b/resources/libraries/bash/function/common.sh
index 5982af9427..7f640678ae 100644
--- a/resources/libraries/bash/function/common.sh
+++ b/resources/libraries/bash/function/common.sh
@@ -415,11 +415,16 @@ function get_test_tag_string () {
;;
*"perf"*)
# On parsing error, ${trigger} stays empty.
- trigger="$(echo "${GERRIT_EVENT_COMMENT_TEXT}" \
- | grep -oE '(perftest$|perftest[[:space:]].+$)')" \
- || true
+ comment="${GERRIT_EVENT_COMMENT_TEXT}"
+ # As "perftest" can be followed by something, we substitute it.
+ comment="${comment/perftest-2n/perftest}"
+ comment="${comment/perftest-3n/perftest}"
+ comment="${comment/perftest-hsw/perftest}"
+ comment="${comment/perftest-skx/perftest}"
+ tag_string="$(echo "${comment}" \
+ | grep -oE '(perftest$|perftest[[:space:]].+$)' || true)"
# Set test tags as string.
- TEST_TAG_STRING="${trigger#$"perftest"}"
+ TEST_TAG_STRING="${tag_string#$"perftest"}"
;;
*)
die "Unknown specification: ${TEST_CODE}"